Package org.apache.any23.encoding

## Class TikaEncodingDetectorTest

- java.lang.Object
- - org.apache.any23.encoding.TikaEncodingDetectorTest

-     public class TikaEncodingDetectorTest
      extends Object

  Test case for `TikaEncodingDetector`.
  Version:
    $Id: TikaEncodingDetectorTest.html 1893240 2021-09-11 04:44:21Z lewismc $
  Author:
    Michele Mostarda ( michele.mostarda@gmail.com ), Davide Palmisano ( dpalmisano@gmail.com )

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TikaEncodingDetectorTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setUp()` |
    `void` | `tearDown()` |
    `void` | `testEncodingHTML()` |
    `void` | `testIso88591Simple()` |
    `void` | `testISO8859HTML()` |
    `void` | `testISO8859XHTML()` |
    `void` | `testTikaIssue2771()` |
    `void` | `testTikaIssue771()` |
    `void` | `testTikaIssue868()` |
    `void` | `testUTF8AfterTitle()` |
    `void` | `testUTF8HTML()` |
    `void` | `testUtf8Simple()` |
    `void` | `testUTF8XHTML()` |
    `void` | `testXMLEncodingPattern()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TikaEncodingDetectorTest

          public TikaEncodingDetectorTest()

  - ### Method Detail

    - #### setUp

          public void setUp()

    - #### tearDown

          public void tearDown()

    - #### testISO8859HTML

          public void testISO8859HTML()
                               throws IOException

      Throws:
        `IOException`

    - #### testISO8859XHTML

          public void testISO8859XHTML()
                                throws IOException

      Throws:
        `IOException`

    - #### testUTF8AfterTitle

          public void testUTF8AfterTitle()
                                  throws IOException

      Throws:
        `IOException`

    - #### testUTF8HTML

          public void testUTF8HTML()
                            throws IOException

      Throws:
        `IOException`

    - #### testUTF8XHTML

          public void testUTF8XHTML()
                             throws IOException

      Throws:
        `IOException`

    - #### testEncodingHTML

          public void testEncodingHTML()
                                throws IOException

      Throws:
        `IOException`

    - #### testXMLEncodingPattern

          public void testXMLEncodingPattern()
                                      throws IOException

      Throws:
        `IOException`

    - #### testUtf8Simple

          public void testUtf8Simple()
                              throws IOException

      Throws:
        `IOException`

    - #### testIso88591Simple

          public void testIso88591Simple()
                                  throws IOException

      Throws:
        `IOException`

    - #### testTikaIssue771

          public void testTikaIssue771()
                                throws IOException

      Throws:
        `IOException`

    - #### testTikaIssue868

          public void testTikaIssue868()
                                throws IOException

      Throws:
        `IOException`

    - #### testTikaIssue2771

          public void testTikaIssue2771()
                                 throws IOException

      Throws:
        `IOException`